package com.gingersoft.gsa.cloud.common.core.print.bean.adapter;

import com.gingersoft.gsa.cloud.common.core.order.order.DoshokuOrder;
import com.gingersoft.gsa.cloud.common.core.print.bean.OrderDetails;
import com.gingersoft.gsa.cloud.common.core.print.bean.PrintContent;
import com.gingersoft.gsa.cloud.common.core.settlement.SettlementReport;

/**
 * @author : bin
 * @create date: 2020-12-01
 * @update date: 2020-12-01
 * @description:
 */
public interface AdaptationContent {

    PrintContent adaptationQRCode();

    PrintContent adaptationPrintTakeawayCheckoutContent(OrderDetails.DataBean data);

    PrintContent adaptationPrintTakeawayFormContent(OrderDetails.DataBean data);

    PrintContent adaptationPrintCleanMachineContent(SettlementReport settlementReport);

    PrintContent adaptationPrintSlipContent(DoshokuOrder doshokuOrder);

    PrintContent adaptationServingPaperContent();

    PrintContent adaptationBillContent();
}
